Subject: bug#19724: 11.88; preview with pdftex not working

From: [email-masked]
Date: Thu, 29 Jan 2015 20:19:11 +0100

Thank you David, I'll try modifying LaTeX-command-style now.

In the meantime I've found something related to pdf2dsc. The 
variable
preview-pdf2dsc-command

has this standard value on my system:

"pdf2dsc %s.pdf %m/preview.dsc"

Now, when I run preview-section, I get this output:

Running `Preview-PDF2DSC' with ``pdf2dsc "_region_".pdf 
"_region_.prv/tmp177872XCF"/preview.dsc''

Preview-PDF2DSC killed at Thu Jan 29 20:10:44
LaTeX: Wrong type argument: number-or-marker-p, nil

You notice that the variables %s and %m get expanded with 
quotation marks, and the .pdf and /preview.dsc are appended. 
I wonder if this is related to the problem.

Cheers,
J

On 2015-01-29 18:22, David Kastrup wrote:
>
> Uh oh.  The error message format gives no hint to preview-latex about
> the _column_ of the errors.  This absolutely cannot be fixed from within
> preview-latex.  Try to see whether you can configure your pdftex to
> produce a more TeX-like error message, or any other way for the error
> message to show the problematic column (the latter may need further work
> on preview-latex by the developers, but at least will move the problem
> from the state of "unfixable").
>
> If you can do so using some command line option, that can be configured
> into AUCTeX's way of calling LaTeX, of course.
>
> I see that your settings include
>
>   LaTeX-command-style '((""
> 			"%(PDF)%(latex) %(file-line-error) %(extraopts) %S%(PDFout)")
> 		       )
>
> It would seem that the setting of %(file-line-error) chosen for MikTeX
> precludes correct column info.  As a temporary measure, it might work to
> do
>
> M-x customize-variable RET LaTeX-command-style RET
>
> and then removing the %(file-line-error) part from the customization
> option.
>